//
// panel-linkss
// --------------------------------------------------


// Base class
.panel-links {
  background-color: @panel-links-bg;
  border: 1px solid transparent;
  border-radius: @panel-links-border-radius;
  .box-shadow(0 1px 1px rgba(0,0,0,.05));
  .list-group {
      margin-bottom: 0;
  }
}

// Optional heading
.panel-links-heading {
  padding: @panel-links-heading-padding;
  .border-top-radius((@panel-links-border-radius - 1));

  > .dropdown .dropdown-toggle {
    color: inherit;
  }
}

// Within heading, strip any `h*` tag of its default margins for spacing.
.panel-links-title {
  margin-top: 0;
  margin-bottom: 0;
  font-size: ceil((@font-size-base * 1.125));
  color: inherit;

  > a,
  > small,
  > .small,
  > small > a,
  > .small > a {
    color: inherit;
  }
}

// Optional footer (stays gray in every modifier class)
.panel-links-footer {
  padding: @panel-links-footer-padding;
  background-color: @panel-links-footer-bg;
  border-top: 1px solid @panel-links-inner-border;
  .border-bottom-radius((@panel-links-border-radius - 1));
}


// List groups in panel-linkss
//
// By default, space out list group content from panel-links headings to account for
// any kind of custom content between the two.

.panel-links {
  > .list-group,
  > .panel-links-collapse > .list-group {
    margin-bottom: 0;

    .list-group-item {
      border-width: 1px 0;
      border-radius: 0;
      border-left: 0;
    }

    // Add border top radius for first one
    &:first-child {
      .list-group-item:first-child {
        border-top: 0;
        .border-top-radius((@panel-links-border-radius - 1));
      }
    }
    // Add border bottom radius for last one
    &:last-child {
      .list-group-item:last-child {
        border-bottom: 0;
        .border-bottom-radius((@panel-links-border-radius - 1));
      }
    }
  }
}
// Collapse space between when there's no additional content.
.panel-links-heading + .list-group {
  .list-group-item:first-child {
    border-top-width: 0;
  }
}
.list-group + .panel-links-footer {
  border-top-width: 0;
}

// Tables in panel-linkss
//
// Place a non-bordered `.table` within a panel-links (not within a `.panel-links-body`) and
// watch it go full width.

.panel-links {
  > .table,
  > .table-responsive > .table,
  > .panel-links-collapse > .table {
    margin-bottom: 0;

    caption {
      padding-left: @panel-links-body-padding;
      padding-right: @panel-links-body-padding;
    }
  }
  // Add border top radius for first one
  > .table:first-child,
  > .table-responsive:first-child > .table:first-child {
    .border-top-radius((@panel-links-border-radius - 1));

    > thead:first-child,
    > tbody:first-child {
      > tr:first-child {
        border-top-left-radius: (@panel-links-border-radius - 1);
        border-top-right-radius: (@panel-links-border-radius - 1);

        td:first-child,
        th:first-child {
          border-top-left-radius: (@panel-links-border-radius - 1);
        }
        td:last-child,
        th:last-child {
          border-top-right-radius: (@panel-links-border-radius - 1);
        }
      }
    }
  }
  // Add border bottom radius for last one
  > .table:last-child,
  > .table-responsive:last-child > .table:last-child {
    .border-bottom-radius((@panel-links-border-radius - 1));

    > tbody:last-child,
    > tfoot:last-child {
      > tr:last-child {
        border-bottom-left-radius: (@panel-links-border-radius - 1);
        border-bottom-right-radius: (@panel-links-border-radius - 1);

        td:first-child,
        th:first-child {
          border-bottom-left-radius: (@panel-links-border-radius - 1);
        }
        td:last-child,
        th:last-child {
          border-bottom-right-radius: (@panel-links-border-radius - 1);
        }
      }
    }
  }
  > .panel-links-body + .table,
  > .panel-links-body + .table-responsive,
  > .table + .panel-links-body,
  > .table-responsive + .panel-links-body {
    border-top: 1px solid @table-border-color;
  }
  > .table > tbody:first-child > tr:first-child th,
  > .table > tbody:first-child > tr:first-child td {
    border-top: 0;
  }
  > .table-bordered,
  > .table-responsive > .table-bordered {
    border: 0;
    > thead,
    > tbody,
    > tfoot {
      > tr {
        > th:first-child,
        > td:first-child {
          border-left: 0;
        }
        > th:last-child,
        > td:last-child {
          border-right: 0;
        }
      }
    }
    > thead,
    > tbody {
      > tr:first-child {
        > td,
        > th {
          border-bottom: 0;
        }
      }
    }
    > tbody,
    > tfoot {
      > tr:last-child {
        > td,
        > th {
          border-bottom: 0;
        }
      }
    }
  }
  > .table-responsive {
    border: 0;
    margin-bottom: 0;
  }
}


// Collapsable panel-linkss (aka, accordion)
//
// Wrap a series of panel-linkss in `.panel-links-group` to turn them into an accordion with
// the help of our collapse JavaScript plugin.

.panel-links-group {
  margin-bottom: @line-height-computed;

  // Tighten up margin so it's only between panel-linkss
  .panel-links {
    margin-bottom: 0;
    border-radius: @panel-links-border-radius;

    + .panel-links {
      margin-top: 5px;
    }
  }

  .panel-links-heading {
    border-bottom: 0;

    + .panel-links-collapse > .panel-links-body,
    + .panel-links-collapse > .list-group {
      border-top: 1px solid @panel-links-inner-border;
    }
  }

  .panel-links-footer {
    border-top: 0;
    + .panel-links-collapse .panel-links-body {
      border-bottom: 1px solid @panel-links-inner-border;
    }
  }
}

.panel-links-body {
    .list-group-item {
        border-radius: 0;
        min-height: 40px;
    }
}

.icon {
    height: 35px;
    width: 35px;
    padding: 10px 10px;
}



// Contextual variations
.panel-links-default {
  .panel-links-variant(@panel-links-default-border; @panel-links-default-text; @panel-links-default-heading-bg; @panel-links-default-border);
}
.panel-links-primary {
  .panel-links-variant(@panel-links-primary-border; @panel-links-primary-text; @panel-links-primary-heading-bg; @panel-links-primary-border);
}
.panel-links-success {
  .panel-links-variant(@panel-links-success-border; @panel-links-success-text; @panel-links-success-heading-bg; @panel-links-success-border);
}
.panel-links-info {
  .panel-links-variant(@panel-links-info-border; @panel-links-info-text; @panel-links-info-heading-bg; @panel-links-info-border);
}
.panel-links-warning {
  .panel-links-variant(@panel-links-warning-border; @panel-links-warning-text; @panel-links-warning-heading-bg; @panel-links-warning-border);
}
.panel-links-danger {
  .panel-links-variant(@panel-links-danger-border; @panel-links-danger-text; @panel-links-danger-heading-bg; @panel-links-danger-border);
}
